For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all service requests
        • GETGet a service request by ID
        • GETGet all service request history
        • GETGet service request history by ID
        • GETGet all service request priorities
        • GETGet service request priority by ID
        • GETGet all service request locations
        • GETGet a service request location by ID
        • GETGet all service request problems
        • GETGet a service request problem by ID
        • PUTUpdate Service Request: RealPage Partner Exchange
        • POSTCreate Service Request: RealPage Partner Exchange
        • POSTCreate Service Request History: RealPage Partner Exchange
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RealPage App PartnerService Requests

Get all service request history

GET
/v1/service-request-history/
GET
/v1/service-request-history/
$curl https://api.propexo.com/v1/service-request-history/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_created_at": "2024-03-20T12:00:00Z",
18 "x_id": "SRH-20240321-001",
19 "x_property_id": "PROP-987654321",
20 "x_location_id": null,
21 "notes": "Tenant reported leaking faucet in kitchen. Maintenance dispatched for repair.",
22 "status_raw": "In Progress",
23 "creator_name": "jdoe_maintenance",
24 "service_request_id": "clwktsp9v000008l31iv218hm",
25 "integration_id": "clwh5u07w000508me66sfh3um",
26 "integration_vendor": "REALPAGE_RPX",
27 "property_id": "clwi5xiix000008l6ctdgafyh"
28 }
29 ]
30}
Get all service request history
Was this page helpful?
Previous

Get service request history by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
service_request_idstringOptional
The Propexo unique identifier for the service request
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error